Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.actions
Interface IconOwner

All Known Subinterfaces:
  OWLModelAction, TripleAction

All Known Implementing Classes:
  AbstractOWLModelAction, AbstractOWLModelTestAction, AbstractTripleAction, AllDifferentAction, CheckConsistencyAction, ClassifyTaxonomyAction, ComputeInferredTypesAction, DeleteTripleAction, DIGAction, DublinCoreAction, EMFAction, EnableSWRLTabAction, FindAssertionsAction, ImportsTreeAction, JavaCodeGeneratorAction, JenaSchemagenAction, KazukiAction, OWLTestAction, OWLTestSettingsAction, PreferencesAction, QueryTripleAction, ShowMetricsAction, ShowReasonerInspectorAction, ShowRepositoryEditorAction, ShowTodoListAction, SourceCodeAction, SPARQLOWLModelAction, ValidatorAction

    public interface IconOwner

A common base interface for things that can be represented by an icon. This is on purpose abstracted from the Swing Icon class, so that instances of this class can also be used under non-Swing environments like Eclipse.

Author:
  Holger Knublauch

Method Summary
`String` | `getIconFileName()` Gets the relative name of an (optional) icon.
`Class` | `getIconResourceClass()` Gets a Class that is in the same folder as the icon file.

Method Detail

### getIconResourceClass

    Class getIconResourceClass()

  Gets a Class that is in the same folder as the icon file.

  Returns:
    the icon resource Class

### getIconFileName

    String getIconFileName()

  Gets the relative name of an (optional) icon.

  Returns:
    the icon name such as `"classify.gif"` or null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.